/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TPO_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TPO_TCRET_TDS_APANAGE_L') 
 CREATE TABLE T_TPO_TCRET_TDS_APANAGE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TPO_TCRET_TDS_APANAGE') 
 CREATE TABLE T_TPO_TCRET_TDS_APANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FAPANAGEAREA VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREBYMONTH VARCHAR(30) DEFAULT ' ' NOT NULL,
FDECLAREBYSEASON VARCHAR(30) DEFAULT ' ' NOT NULL,
FDECLAREBYYEARTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDECLAREBYYEARLIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FDECLAREBYHALFYEAR VARCHAR(30) DEFAULT ' ' NOT NULL,
FSWITCH CHAR(1) DEFAULT ' ' NOT NULL,
FTDSYSLIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FPROVINCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCITY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TPO_TAXITEMRATE' AND KSQL_COL_NAME ='FTAXPAYERTYPE') 
 ALTER TABLE T_TPO_TAXITEMRATE ADD (FTAXPAYERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TPO_table.sql **/
